Update a network
put
Authorizations
defguard_sessionstringRequired
Path parameters
network_idinteger · int64Required
ID of the network.
Body
acl_default_allowbooleanRequired
acl_enabledbooleanRequired
addressstringRequired
allow_all_groupsbooleanRequired
allowed_groupsstring[]Required
allowed_ipsstring · nullableOptional
allowed_ips_from_aclbooleanOptional
dnsstring · nullableOptional
endpointstringRequired
fwmarkinteger · int64Required
keepalive_intervalinteger · int32Required
location_mfa_modestring · enumRequiredPossible values:
mtuinteger · int32Required
namestringRequired
peer_disconnect_thresholdinteger · int32Required
portinteger · int32Required
posture_checksinteger · int64[] · nullableOptional
service_location_modestring · enumRequiredPossible values:
Responses
200
Network updated.
application/json
Stores the configuration required to set up a WireGuard network.
acl_default_allowbooleanRequired
acl_enabledbooleanRequired
addressstring[]Required
allow_all_groupsbooleanRequired
allowed_ipsstring[]Required
allowed_ips_from_aclbooleanRequired
connected_atstring · nullableOptional
dnsstring · nullableOptional
endpointstringRequired
fwmarkinteger · int64Required
idinteger · int64Required
keepalive_intervalinteger · int32Required
location_mfa_modestring · enumRequiredPossible values:
mtuinteger · int32Required
namestringRequired
peer_disconnect_thresholdinteger · int32Required
portinteger · int32Required
pubkeystringRequired
service_location_modestring · enumRequiredPossible values:
400
Invalid location settings.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
Network not found.
application/json
500
Unable to update network.
application/json
put/api/v1/network/{network_id}
PUT /api/v1/network/{network_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 370
{
"acl_default_allow": true,
"acl_enabled": true,
"address": "text",
"allow_all_groups": true,
"allowed_groups": [
"text"
],
"allowed_ips": null,
"allowed_ips_from_acl": true,
"dns": null,
"endpoint": "text",
"fwmark": 1,
"keepalive_interval": 1,
"location_mfa_mode": "disabled",
"mtu": 1,
"name": "text",
"peer_disconnect_threshold": 1,
"port": 1,
"posture_checks": [
1
],
"service_location_mode": "disabled"
}{
"acl_default_allow": true,
"acl_enabled": true,
"address": [
"text"
],
"allow_all_groups": true,
"allowed_ips": [
"text"
],
"allowed_ips_from_acl": true,
"connected_at": null,
"dns": null,
"endpoint": "text",
"fwmark": 1,
"id": 1,
"keepalive_interval": 1,
"location_mfa_mode": "disabled",
"mtu": 1,
"name": "text",
"peer_disconnect_threshold": 1,
"port": 1,
"pubkey": "text",
"service_location_mode": "disabled"
}Last updated
Was this helpful?